#include <Wire.h>
#include <LiquidCrystal_I2C.h>
// Set the LCD address to 0x27 or 0x3f for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 20, 4);

const int pinHall = A0; 
void setup() {
  lcd.init();
  lcd.backlight();
  pinMode(pinHall, INPUT);
  Serial.begin(9600);
}
 
void loop() {
 
  //we measure 10 times adn make the mean
  long measure = 0;
  for(int i = 0; i < 10; i++){
      int value = 
      measure += analogRead(pinHall);
  }
  measure /= 10;  
  //voltage in mV
  float outputV = measure * 5000.0 / 1023;
  Serial.print("Output Voltaje = ");
  Serial.print(outputV);
  Serial.print(" mV   ");
  lcd.clear();    
  lcd.setCursor(0,0);
  lcd.print("Vots: ");
  lcd.setCursor(6,0);
  lcd.print(outputV);
  
  
  //flux density
  float magneticFlux =  outputV * 53.33 - 133.3;
  Serial.print("Magnetic Flux Density = ");
  Serial.print(magneticFlux);
  Serial.print(" mT"); 
  lcd.setCursor(0,1);
  lcd.print("Flux: ");
  lcd.setCursor(6,1);
  lcd.print(magneticFlux); 
  delay(2000);
}
